Bug 227987 - misc/zoneinfo distfile is not fetchable from its MASTER_SITES
Summary: misc/zoneinfo distfile is not fetchable from its MASTER_SITES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steven Kreuzer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-05 09:03 UTC by p5B2E9A8F
Modified: 2019-01-06 19:12 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (skreuzer)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description p5B2E9A8F 2018-05-05 09:03:39 UTC
From Poudriere logfile:

=======================<phase: fetch          >============================
===>  License PD accepted by the user
=> tzdata2018e.tar.gz doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch ftp://ftp.iana.org/tz/releases/tzdata2018e.tar.gz
fetch: ftp://ftp.iana.org/tz/releases/tzdata2018e.tar.gz: Bad Request
=> Attempting to fetch ftp://munnari.oz.au/pub/tzdata2018e.tar.gz
fetch: ftp://munnari.oz.au/pub/tzdata2018e.tar.gz: Bad Request
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/tzdata2018e.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/tzdata2018e.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /portdistfiles/ and try again.
*** Error code 1

Stop.
make: stopped in /usr/ports/misc/zoneinfo
=>> Cleaning up wrkdir
===>  Cleaning for zoneinfo-2018.e
build of misc/zoneinfo | zoneinfo-2018.e ended at Sat May  5 01:39:52 CEST 2018
build time: 00:00:08
!!! build failure encountered !!!

****

1. There are packages only and no port distfiles on the listed FreeBSD sites.
2. Why do you use still legacy fetch ftp://ftp ???? please use http://ftp.master.site instead.
Comment 1 p5B2E9A8F 2018-05-05 09:52:53 UTC
IANA changed their Time Zone Database. See https://www.iana.org/time-zones

Change the iana master site to a fetchable https://data.iana.org/time-zones/releases/tzdata2018e.tar.gz
Comment 2 p5B2E9A8F 2018-05-05 09:54:57 UTC
(In reply to p5B2E9A8F from comment #1)
s/changed/moved/
Comment 3 commit-hook freebsd_committer 2018-11-09 03:00:58 UTC
A commit references this bug:

Author: skreuzer
Date: Fri Nov  9 02:59:57 UTC 2018
New revision: 484497
URL: https://svnweb.freebsd.org/changeset/ports/484497

Log:
  Update to fix build with net-snmp-5.8

  PR:		227987
  Submitted by:	pi@FreeBSD.org

Changes:
  head/net/ptpd2/Makefile
  head/net/ptpd2/distinfo
  head/net/ptpd2/pkg-plist
Comment 4 p5B2E9A8F 2019-01-06 14:26:19 UTC
This issue is not solved. 
Please add the IANA https Masterside. It is good practice to offer a https scheme, as ftp and http do not meet minimum security standards and may be blocked. For this port this means fetching manually the file on every update of the tzdata. Please finally show some understanding and add
https://data.iana.org/time-zones/releases/ thank you.

=======================<phase: pkg-depends    >============================
===>   zoneinfo-2018.i depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.5_5.txz
[builder.local] Installing pkg-1.10.5_5...
[builder.local] Extracting pkg-1.10.5_5: .......... done
===>   zoneinfo-2018.i depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of zoneinfo-2018.i
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License PD accepted by the user
=> tzdata2018i.tar.gz doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch ftp://ftp.iana.org/tz/releases/tzdata2018i.tar.gz
fetch: ftp://ftp.iana.org/tz/releases/tzdata2018i.tar.gz: Bad Request
=> Attempting to fetch ftp://munnari.oz.au/pub/tzdata2018i.tar.gz
fetch: ftp://munnari.oz.au/pub/tzdata2018i.tar.gz: Bad Request
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/tzdata2018i.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/tzdata2018i.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /portdistfiles/ and try again.
*** Error code 1

Stop.
make: stopped in /usr/ports/misc/zoneinfo
=>> Cleaning up wrkdir
===>  Cleaning for zoneinfo-2018.i
build of misc/zoneinfo | zoneinfo-2018.i ended at Sun Jan  6 15:01:04 CET 2019
build time: 00:00:02
!!! build failure encountered !!!
Comment 5 commit-hook freebsd_committer 2019-01-06 16:37:00 UTC
A commit references this bug:

Author: skreuzer
Date: Sun Jan  6 16:36:02 UTC 2019
New revision: 489506
URL: https://svnweb.freebsd.org/changeset/ports/489506

Log:
  Update MASTER_SITES

  PR:	227987
  Reported by:	p5B2E9A8F

Changes:
  head/misc/zoneinfo/Makefile